__gnu_cxx::random_condition Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::random_condition:
[legend]

## Classes

struct | always_adjustor
struct | group_adjustor
struct | never_adjustor

## Public Member Functions

void | seed (unsigned long __s)

## Static Public Member Functions

static void | set_probability (double __p)
static void | throw_conditionally ()

## Detailed Description

Base class for random probability control and throw.

Definition at line 501 of file throw_allocator.h.

## Constructor & Destructor Documentation

## random_condition()

__gnu_cxx::random_condition::random_condition | ( |  | ) |

inline

Definition at line 539 of file throw_allocator.h.

## Member Function Documentation

## seed()

void __gnu_cxx::random_condition::seed | ( | unsigned long | __s | ) |

inline

Definition at line 557 of file throw_allocator.h.

## set_probability()

void __gnu_cxx::random_condition::set_probability | ( | double | __p | ) |

inline static

Definition at line 546 of file throw_allocator.h.

## throw_conditionally()

void __gnu_cxx::random_condition::throw_conditionally | ( |  | ) |

inline static

Definition at line 550 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h